### Method

# Ide CompletionProvider get_comment

#### Declaration

    gchar*
    ide_completion_provider_get_comment (
      IdeCompletionProvider* self,
      IdeCompletionProposal* proposal
    )

#### Description

If the completion proposal has a comment, the provider should return a newly allocated string containing it.

This is displayed at the bottom of the completion window.

Available since: | 3.32

#### Parameters

`proposal` | `IdeCompletionProposal`
| An `IdeCompletionProposal`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| A new string or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.